Highlights
APIs for adding highlights on accounts.
Creates a new highlight on an account.
Rate limit: 30 requests per minute
Authorization: Bearer
The ID or external ID of the account that the highlight belongs to.
Optional ID or external ID of a contact to associate the resulting memory with. The contact must belong to the account.
The HTML content for this highlight.
Optional RFC3339 timestamp of when this highlight will expire.
The request was invalid or could not be completed.
The request could not be authenticated for this API.
The authenticated caller or organization is not allowed to access this endpoint or operation.
The request exceeded the applicable rate limit.
An unexpected internal error occurred.
POST /accounts/{account_id}/highlights HTTP/1.1
Host: api.usepylon.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 83
{
"contact_id": "text",
"content_html": "text",
"expires_at": "2026-01-01T00:00:00.000Z"
}{
"data": {
"account_id": "text",
"content_html": "text",
"created_at": "2026-01-01T00:00:00.000Z",
"expires_at": "2026-01-01T00:00:00.000Z",
"id": "text",
"updated_at": "2026-01-01T00:00:00.000Z"
},
"request_id": "text"
}Updates an existing account highlight. Only provided fields are modified.
Rate limit: 120 requests per minute
Authorization: Bearer
The ID of the highlight to update.
The ID or external ID of the account that the highlight belongs to.
The updated HTML content for this highlight.
The updated expires at timestamp (RFC3339). Omit it to keep the current expiry, or set it to an empty string to clear it.
The request was invalid or could not be completed.
The request could not be authenticated for this API.
The authenticated caller or organization is not allowed to access this endpoint or operation.
The request exceeded the applicable rate limit.
An unexpected internal error occurred.
PATCH /accounts/{account_id}/highlights/{highlight_id} HTTP/1.1
Host: api.usepylon.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 43
{
"content_html": "text",
"expires_at": "text"
}{
"data": {
"account_id": "text",
"content_html": "text",
"created_at": "2026-01-01T00:00:00.000Z",
"expires_at": "2026-01-01T00:00:00.000Z",
"id": "text",
"updated_at": "2026-01-01T00:00:00.000Z"
},
"request_id": "text"
}Permanently deletes an account highlight by ID.
Rate limit: 120 requests per minute
Authorization: Bearer
The ID or external ID of the account that the highlight belongs to.
The ID of the highlight to delete.
The request was invalid or could not be completed.
The request could not be authenticated for this API.
The authenticated caller or organization is not allowed to access this endpoint or operation.
The request exceeded the applicable rate limit.
An unexpected internal error occurred.
DELETE /accounts/{account_id}/highlights/{highlight_id} HTTP/1.1
Host: api.usepylon.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"data": {
"success": true
},
"request_id": "text"
}Last updated
Was this helpful?

